summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rw-r--r--tests/Makefile.am1
-rwxr-xr-xtests/touch/60-seconds38
2 files changed, 39 insertions, 0 deletions
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 43a493f18..63e60c8c5 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -436,6 +436,7 @@ TESTS = \
tail-2/pipe-f2 \
tail-2/proc-ksyms \
tail-2/start-middle \
+ touch/60-seconds \
touch/dangling-symlink \
touch/dir-1 \
touch/fail-diag \
diff --git a/tests/touch/60-seconds b/tests/touch/60-seconds
new file mode 100755
index 000000000..b13ad06ff
--- /dev/null
+++ b/tests/touch/60-seconds
@@ -0,0 +1,38 @@
+#!/bin/sh
+# touch -t would mistakenly reject a time specifying "60" seconds
+
+# Copyright (C) 2009 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ touch --version
+fi
+
+. $srcdir/test-lib.sh
+
+echo 60 > exp || framework_failure
+
+fail=0
+
+# Before coreutils-7.7, this would fail, complaining of
+# an `invalid date format'. Specifying 60 seconds *is* valid.
+TZ=UTC0 touch -t 197001010000.60 f || fail=1
+
+stat --p='%Y\n' f > out || fail=1
+
+compare out exp || fail=1
+
+Exit $fail